import request from "@/utils/request";

export function supplementList(data) {
  return request({
    url: `/ums/supplement/list?moduleId=${data.moduleId}`,
    method: "post",
    data,
  });
}

export function supplementDetail(params) {
  return request({
    url: "/ums/supplement/detail",
    method: "post",
    params,
  });
}

export function supplementSubmit(data) {
  return request({
    url: "/ums/supplement/submit",
    method: "post",
    data,
  });
}

export function supplementRegionCodeList(params) {
  return request({
    url: "/ums/supplement/region/code/list",
    method: "post",
    params,
  });
}
export function umsSupplementGenerate(params) {
  return request({
    url: "/ums/supplement/generate",
    method: "post",
    params,
  });
}
